Results 1 to 9 of 9

Thread: Can't install Java on openSuse 11.0

  1. #1

    Unhappy Can't install Java on openSuse 11.0

    I'm trying to get an up-to-date installation of the Java JDK and the Netbeans IDE installed on my system, but I can't even get the installation wizard's window to open properly.

    I did have a JDK and the Netbeans IDE installed a few days ago, but they were the obsolete versions from the main openSuse repositories and ran extremely poorly. Netbeans, for example, would take an insanely long time to start up and when it eventually did start up, it would check for updates, throw an exception and tell me to update to version 6.1 (which will no doubt never be made available from the repositories anyway).

    So I did a fresh reinstallation of openSuse 11.0 today and made sure to prevent any Java-related software from being installed to simplify the task of installing and maintaining an up-to-date JDK and IDE. I downloaded the JDK + Netbeans IDE bundle (which has always performed far better for me than installing both as seperate units) from its download page and placed the download in /usr/local to install it system-wide.

    I made the bundle executable, opened a terminal as root and entered
    Code:
    /usr/local/jdk-6u7-nb-6_1-linux-ml.sh
    to start the installation process. Instead of actually installing like it always has done in the past, it said this to me
    home:~ # /usr/local/jdk-6u7-nb-6_1-linux-ml.sh
    Configuring the installer...
    Searching for JVM on the system...
    Preparing bundled JVM ...
    Extracting installation data...
    Running the installer wizard...
    libxcb: WARNING! Program tries to unlock a connection without having acquired
    a lock first, which indicates a programming error.
    There will be no further warnings about this issue.
    libxcb: WARNING! Program tries to lock an already locked connection,
    which indicates a programming error.
    There will be no further warnings about this issue.
    and then opened a blank window which should have contained the installer (as shown in my screenshot).

    I've Googled around, but the only useful information I could find is that it's an issue with libxcb (which is obvious from the output in the terminal anyway) and that this libxcb is some part of X.org.

    Does anyone know how to fix this? Just today I finally got my installation of openSuse set up perfectly so that I no longer have any need to boot into Windows. Only to find that, thanks to this problem, it looks like I'm now going to have to go back to using Windows as my main OS and put up with all the **** that comes with it, more than ever.

    Can someone please rescue me?

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Can't install Java on openSuse 11.0

    IIRC this libxcb error was an issue that was worked around a while back and turned into a warning. It's just chance it happened before the window displayed and not related to the problem why there is nothing in it. However I believe you can do a text install of the Sun package by not running in an X environment (either at the console, or by unsetting DISPLAY) and it should work.

  3. #3

    Default Re: Can't install Java on openSuse 11.0

    I tried it few times, and no luck, SUSE doesn't like binaries,
    guess, shouldn't have gone NOVELL or what ever.
    Try other Linuxes like Fedora, I installed it on that one for my friend with success, you have to put in in usr/bin, not include.!
    If you really like to stick to SUSE try eclipse !
    you can install on the Desktop as well, it will run perfectly, doesn't have to be in include or usr/bin directory.
    Few month ago I installed it for another friend on PClinuxOS, that one has problem with rejecting non packaged software, but if installed on the desk top, you can get away with it! Try just installing on the desk top.

  4. #4
    Join Date
    Jun 2008
    Location
    Santiago, Chile
    Posts
    18

    Default Re: Can't install Java on openSuse 11.0

    do not try that package (netbeans and jdk in the same file), because that version of netbeans is not complete.

    i've downloaded jdk and netbeans 6.1 in diferent files, the jdk file try downloading the rpm one, then just do a simple

    Code:
    chmod +x jdk....rpm.bin
    ./jdk.....rpm.bin
    and everything will works just fine.

    Then try installing netbeans 6.1

    I did this in opensuse for years and it works

    greetings !!!

  5. #5

    Default Re: Can't install Java on openSuse 11.0

    Thanks, Metalklesk. I've at least got a foot in now, but I still have problems.

    I did as you suggested and installed the stand-alone JDK and that went fine. I didn't get any worrying error messages or anything like that. However, I haven't tried to install the Netbeans IDE yet because I still have another problem that I could do with solving before I try to install Netbeans.

    For the life of me, I just can't find the browser plugin object (usually named libjavaplugin_oji.so) or the Java Web Start binary (usually called javaws) that usually come with the installation. Without those, I can't use Java in my browsers.

    Anyone know what's going on and what I need to do to get these files properly installed in with the rest of the JDK?

    Thaks to everyone for their help so far. It is very much appreciated.

  6. #6
    fifthecho NNTP User

    Default Re: Can't install Java on openSuse 11.0

    I am having the same issue. I want to run the X64 version of SuSE, however, I need javaws support to manage some of the devices I need to manage for work.

    Any assistance that can be provided as to how we can get this to go would be greatly appreciated.

  7. #7
    fifthecho NNTP User

    Default Re: Can't install Java on openSuse 11.0


    I am having the same issue. I want to run the X64 version of SuSE,
    however, I need javaws support to manage some of the devices I need to
    manage for work.

    Any assistance that can be provided as to how we can get this to go
    would be greatly appreciated.


    --
    fifthecho
    ------------------------------------------------------------------------
    fifthecho's Profile: http://forums.opensuse.org/member.php?userid=21002
    View this thread: http://forums.opensuse.org/showthread.php?t=390327


  8. #8
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,937

    Default Re: Can't install Java on openSuse 11.0

    I have this executable (and a bunch more) in /usr/java/jre1.6.0_12/bin/javaws from jre-6u12-ea-linux-amd64.rpm downloaded from Sun.

    Had to install this to enable some internet banking java applets in FF 64 bits that refused to run with the default (opensource?) java.

    Hope it helps.

  9. #9
    brunomcl NNTP User

    Default Re: Can't install Java on openSuse 11.0


    I have this executable (and a bunch more) in
    /usr/java/jre1.6.0_12/bin/javaws from jre-6u12-ea-linux-amd64.rpm
    downloaded from Sun.

    Had to install this to enable some internet banking java applets in FF
    64 bits that refused to run with the default (opensource?) java.

    Hope it helps.


    --
    brunomcl
    ------------------------------------------------------------------------
    brunomcl's Profile: http://forums.opensuse.org/member.php?userid=8892
    View this thread: http://forums.opensuse.org/showthread.php?t=390327


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •